package router

import (
	"fonchain-fiee/pkg/service/bundle"

	"github.com/gin-gonic/gin"
)

func ValueAddBundleRouter(r *gin.RouterGroup) {
	valueAddBundleRoute := r.Group("valueAdd-bundle")

	// 增值套餐
	{
		bundleClientRoute := valueAddBundleRoute.Group("system")
		{
			bundleClientRoute.POST("create", bundle.CreateBundle)
			bundleClientRoute.POST("update", bundle.UpdateBundle)
			bundleClientRoute.POST("remove", bundle.DeleteBundle)
		}

		bundleAppRoute := valueAddBundleRoute.Group("common")
		{
			bundleAppRoute.POST("valueAdd-bundle-list", bundle.BundleList)
		}
		bundleCalcRoute := valueAddBundleRoute.Group("calc")
		{
			bundleCalcRoute.POST("price", bundle.CalculateBundlePrice)
		}

	}

}
